Before we start the installation of Openshot video editor application we have to install official PPA repository for that as openshot is not a part of default repository of Ubuntu. So to install the PPA repository use the below command.

itsmarttricks@ubuntu:~$ sudo add-apt-repository ppa:openshot.developers/ppa   # Install PPA Repository
 This PPA contains the current stable version of OpenShot Video Editor.

If you would rather the bleeding-edge version, check out the following URL:
https://launchpad.net/~jonoomph/+archive/openshot-edge


 More info: https://launchpad.net/~openshot.developers/+archive/ubuntu/ppa
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keyring `/tmp/tmp6mlgki11/secring.gpg' created
gpg: keyring `/tmp/tmp6mlgki11/pubring.gpg' created
gpg: requesting key B9BA26FA from hkp server keyserver.ubuntu.com
gpg: /tmp/tmp6mlgki11/trustdb.gpg: trustdb created
gpg: key B9BA26FA: public key "Launchpad OpenShot Development PPA" imported
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)
OK

After installing the PPA repository let’s go ahead and update the packages and repositories of ubuntu using below command.

itsmarttricks@ubuntu:~$ sudo apt-get update   # Update Packages & Repositories
Get:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]                                                                          
Get:2 http://ppa.launchpad.net/openshot.developers/ppa/ubuntu xenial InRelease [17.6 kB]                                                                  
Hit:3 http://ppa.launchpad.net/transmissionbt/ppa/ubuntu xenial InRelease                                                                                 
Hit:4 http://us.archive.ubuntu.com/ubuntu xenial InRelease                                                                      
Get:5 http://ppa.launchpad.net/openshot.developers/ppa/ubuntu xenial/main amd64 Packages [3,484 B]                             
Get:6 http://ppa.launchpad.net/openshot.developers/ppa/ubuntu xenial/main i386 Packages [3,488 B]        
Get:7 http://ppa.launchpad.net/openshot.developers/ppa/ubuntu xenial/main Translation-en [892 B]          
Get:8 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]                               
Ign:9 http://repo.vivaldi.com/stable/deb stable InRelease
Get:10 http://repo.vivaldi.com/stable/deb stable Release [2,709 B]
Get:11 http://repo.vivaldi.com/stable/deb stable Release.gpg [819 B]
Get:12 http://repo.vivaldi.com/stable/deb stable/main amd64 Packages [3,565 B]
Get:13 http://repo.vivaldi.com/stable/deb stable/main i386 Packages [3,156 B]
Get:14 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Fetched 342 kB in 2s (148 kB/s)     
Reading package lists... Done

Also Read – How To Install KdenLive Video Editor Application On Ubuntu 

Finally follow the below command to install openshot video editor application.

itsmarttricks@ubuntu:~$ sudo apt-get install openshot   # Install Openshot open source video editor package
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  docutils-common libqt5clucene5 libqt5designer5 libqt5help5 python3-docutils python3-enchant python3-markdown python3-markups python3-pygments python3-pyqt5
  python3-pyqt5.qtwebkit python3-roman python3-sip python3-textile python3-yaml
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  docbook-xml frei0r-plugins gtk2-engines-pixbuf i965-va-driver libaacs0 libass5 libavcodec-ffmpeg56 libavdevice-ffmpeg56 libavfilter-ffmpeg5 libavformat-ffmpeg56
  libavresample-ffmpeg2 libavutil-ffmpeg54 libbdplus0 libbluray1 libbs2b0 libcrystalhd3 libdc1394-22 libflite1 libgail-common libgail18 libgavl1 libgme0
  libgoocanvas-common libgoocanvas3 libgsm1 libgtk2.0-0 libgtk2.0-bin libgtkglext1 libllvm4.0 libmlt++3 libmlt-data libmlt6 libmodplug1 libmovit4 libmp3lame0
  libopenal-data libopenal1 libopencore-amrnb0 libopencore-amrwb0 libopencv-core2.4v5 libopencv-highgui2.4v5 libopencv-imgproc2.4v5 libopencv-objdetect2.4v5
  libopencv-video2.4v5 libopenjpeg5 libpostproc-ffmpeg53 librarian0 libschroedinger-1.0-0 libsdl1.2debian libshine3 libsnappy1v5 libsodium18 libsox-fmt-alsa
  libsox-fmt-base libsox2 libsoxr0 libssh-gcrypt-4 libswresample-ffmpeg1 libswscale-ffmpeg3 libtbb2 libtwolame0 libva1 libvdpau1 libx264-148 libx265-79 libxvidcore4
  libzmq5 libzvbi-common libzvbi0 melt mesa-vdpau-drivers openshot-doc python-cairo python-gobject-2 python-gtk2 python-httplib2 python-imaging python-mlt python-pil
  python-pygoocanvas python-xdg rarian-compat sgml-data va-driver-all vdpau-driver-all vdpau-va-driver
Suggested packages:
  docbook docbook-dsssl docbook-xsl docbook-defguide opencv-data libbluray-bdj firmware-crystalhd libsox-fmt-all blender inkscape python-gobject-2-dbg python-gtk2-doc
  python-pil-doc python-pil-dbg perlsgml w3-recs opensp libxml2-utils libfglrx-amdxvba1 libvdpau-va-gl1 nvidia-vdpau-driver nvidia-legacy-340xx-vdpau-driver
The following NEW packages will be installed:
  docbook-xml frei0r-plugins gtk2-engines-pixbuf i965-va-driver libaacs0 libass5 libavcodec-ffmpeg56 libavdevice-ffmpeg56 libavfilter-ffmpeg5 libavformat-ffmpeg56
  libavresample-ffmpeg2 libavutil-ffmpeg54 libbdplus0 libbluray1 libbs2b0 libcrystalhd3 libdc1394-22 libflite1 libgavl1 libgme0 libgoocanvas-common libgoocanvas3
  libgsm1 libgtkglext1 libllvm4.0 libmlt++3 libmlt-data libmlt6 libmodplug1 libmovit4 libmp3lame0 libopenal-data libopenal1 libopencore-amrnb0 libopencore-amrwb0
  libopencv-core2.4v5 libopencv-highgui2.4v5 libopencv-imgproc2.4v5 libopencv-objdetect2.4v5 libopencv-video2.4v5 libopenjpeg5 libpostproc-ffmpeg53 librarian0
  libschroedinger-1.0-0 libsdl1.2debian libshine3 libsnappy1v5 libsodium18 libsox-fmt-alsa libsox-fmt-base libsox2 libsoxr0 libssh-gcrypt-4 libswresample-ffmpeg1
  libswscale-ffmpeg3 libtbb2 libtwolame0 libva1 libvdpau1 libx264-148 libx265-79 libxvidcore4 libzmq5 libzvbi-common libzvbi0 melt mesa-vdpau-drivers openshot
  openshot-doc python-cairo python-gobject-2 python-gtk2 python-httplib2 python-imaging python-mlt python-pil python-pygoocanvas python-xdg rarian-compat sgml-data
  va-driver-all vdpau-driver-all vdpau-va-driver
The following packages will be upgraded:
  libgail-common libgail18 libgtk2.0-0 libgtk2.0-bin
4 upgraded, 83 newly installed, 0 to remove and 317 not upgraded.
Need to get 73.7 MB of archives.
After this operation, 278 MB of additional disk space will be used.
Do you want to continue? [Y/n] y  ---> Enter "y" to continue the installation

We have successfully installed the openshot video editor application. To confirm the same refer the below command.

itsmarttricks@ubuntu:~$ sudo dpkg -l openshot   # Confirm the installed Package
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                 Version                 Architecture            Description
+++-====================================-=======================-=======================-=============================================================================
ii  openshot                             1.4.3-1.2               all                     Create and edit videos and movies

Now to open the application just type the command openshot on shell prompt. Refer the command below.

itsmarttricks@ubuntu:~$ openshot